Subject: Re: [lisp] [Int-area] [rrg] Please respond: Questions from the IESG as towhether a WG forming BOF is necessary for LISP

From: [email-masked] (Noel Chiappa)
Date: Mon, 26 Jan 2009 17:51:17 -0500 (EST)

> From: Dino Farinacci <[email-masked]>

    > if you are going to claim liveness through a protocol, you have to send
    > control packets all the time from M ITRs to N ETRs.

I find this terminology somewhat non-intuitive, and wonder if it's too late
to change it. To me, "liveness" would imply as to whether something is live
or dead, i.e. up or down. (Such state detection can obviously be performed on
ITR I1's behalf by I2, and the result communicated locally from I2 to I1.)

The issue of whether packets from ITR Im can reach ETR En (which is where you
run into the need for M*N) I would describe as "reachability". (So if there's
a routing problem, or an access control setting, that prevents I1 from
getting to E7 even through I1 can get to E8 and I2 can get to E7, that would
be a reachability problem on the {I1, E7} pairing.) I seem to recall this
term being used in at least one routing protocol, although I can't now recall
which one.

        Noel
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/routing-discussion

---

From: Scott Brim <[email-masked]>
Date: Mon, 26 Jan 2009 22:30:34 -0500

Excerpts from Noel Chiappa on Mon, Jan 26, 2009 05:51:17PM -0500:
>     > if you are going to claim liveness through a protocol, you
>     > have to send control packets all the time from M ITRs to N
>     > ETRs.
> 
> I find this terminology somewhat non-intuitive, and wonder if it's
> too late to change it. To me, "liveness" would imply as to whether
> something is live or dead, i.e. up or down. (Such state detection
> can obviously be performed on ITR I1's behalf by I2, and the result
> communicated locally from I2 to I1.)
> 
> The issue of whether packets from ITR Im can reach ETR En (which is
> where you run into the need for M*N) I would describe as
> "reachability". (So if there's a routing problem, or an access
> control setting, that prevents I1 from getting to E7 even through I1
> can get to E8 and I2 can get to E7, that would be a reachability
> problem on the {I1, E7} pairing.) I seem to recall this term being
> used in at least one routing protocol, although I can't now recall
> which one.

We started out talking about "path liveness".  I don't care too much
what it's called.

---

From: "Tony Li" <[email-masked]>
Date: Mon, 26 Jan 2009 22:18:04 -0800

|We started out talking about "path liveness".  I don't care too much
|what it's called.

Whatever it's called, it seems like if there are middleboxes involved, there
will need to be a feedback loop from receiver to source.  Why is this so
contentious?  It would seem like it would have all of the weight of a stream
of acks from one TCP connection.  And it could be trivially piggybacked if
there is the usual bi-directional traffic.

Tony